#!/bin/sh
# extrait un profil d'un compte courant
# attend un nom de dossier existant  la racine 
# et cre un tar.gz
# teste si un dossier est pass en paramtre
# On teste d'abord s'il y a un fichier  la suite pass en paramtres
if [ ! -z $1 ]; then
	exit 1;
fi


# cration du dossier profil
/bin/mkdir -p $1
cp -r GNUstep $1
cp -f .wmrc $1
cp -f .bash* $1
cp -f .mtools* $1
cp -rf .gimp-1.2
rm -f $1/.bash_history
mkdir -p $1/Docs
mkdir -p $1/public_html

# nettoyage ventuel
rm -f $1/GNUstep/Defaults/*.bak
rm -f $1/GNUstep/Defaults/*~ 

# vrification 
echo "******************** Vrification du profil ******************* "
/usr/bin/rgrep -r ${USER} $1/*
echo " ***************** Fin de Vrification *********************** "

echo "Compression en $1.tar.gz"
tar -cvzf ${1}.tar.gz ${1}
echo "L'extraction du profil est termine" 
# rm -rf ${1}
echo "Copie dans le dossier public_html"
cp $1.tar.gz public_html
